import request from "@/utils/request";

// 投诉列表
export const getSuggestionsList = (data) => {
  return request({
    url: `/api/itsm/ComplaintSuggestion/getList`,
    method: "POST",
    data: data,
    header: {
      'content-type': 'application/json',
    },
  });
};

// 投诉列表
export const getListById = (data) => {
  return request({
    url: `/api/complain/getListByIdV2`,
    method: "GET",
    data: data,
  });
};

// 投诉回复
export const addReply = (data) => {
  return request({
    url: `/api/complain/addReply`,
    method: "POST",
    data: data,
  });
}

// 投诉点赞
export const addLike = (data) => {
  return request({
    url: `/api/complain/addLike`,
    method: "POST",
    data: data,
  });
}
// 投诉取消点赞
export const delLike = (data) => {
  return request({
    url: `/api/complain/delLike`,
    method: "POST",
    data: data,
  });
}

